Page MenuHomePhabricator

Parsoid wrongly marks two langagelink-like-but-actually-interwiki mw:ExtLinks as mw:PageProp/Language, making them invisible in the visual editor
Closed, ResolvedPublic

Description

Open up meta:User:Neil P. Quinn-WMF/Invisible interwikis.

All four of the links show up in the read view, but when you open the page in the visual editor, two of them are completely invisible (though not destroyed). Both of them omit the project code (e.g. [[en:Barack Obama]]), relying on the fact that this default to Wikipedia.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 2 2016, 12:10 AM
Jdforrester-WMF renamed this task from Interwiki links that omit the project code are invisible in the visual editor to Parsoid wrongly marks two langagelink-like-but-actually-interwiki mw:ExtLinks as mw:PageProp/Language, making them invisible in the visual editor.Apr 3 2016, 8:11 AM
Jdforrester-WMF edited projects, added Parsoid; removed VisualEditor-Links, VisualEditor.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Arlolra triaged this task as Normal priority.Apr 12 2016, 11:04 PM
ssastry added a subscriber: ssastry.Jun 8 2016, 4:06 PM

metawiki has $wgInterwikiMagic set to false: https://www.mediawiki.org/wiki/Manual:$wgInterwikiMagic

Looks like the siteconfig api response (https://meta.wikimedia.org/w/api.php?action=query&meta=siteinfo&siprop=namespaces|namespacealiases|magicwords|functionhooks|extensiontags|general|interwikimap|languages|protocols|specialpagealiases) doesn't provide this info.

So, we'll need to push a patch to core to fix this there before using this info in Parsoid.

Change 293347 had a related patch set uploaded (by Legoktm):
ApiQuerySiteInfo: Add $wgInterwikiMagic value

https://gerrit.wikimedia.org/r/293347

Change 293347 merged by jenkins-bot:
ApiQuerySiteInfo: Add $wgInterwikiMagic value

https://gerrit.wikimedia.org/r/293347

So, we'll need to push a patch to core to fix this there before using this info in Parsoid.

MediaWiki core part done :)

So, we'll need to push a patch to core to fix this there before using this info in Parsoid.

MediaWiki core part done :)

Ah, thanks! :)

ssastry moved this task from Backlog to In Progress on the Parsoid board.Jun 21 2016, 9:08 PM

Change 295445 had a related patch set uploaded (by Subramanya Sastry):
WIP: T131564: Respect $wgInterwikiMagic setting while parsing lang-links

https://gerrit.wikimedia.org/r/295445

Change 295445 merged by jenkins-bot:
T131564: Respect $wgInterwikiMagic setting while parsing lang-links

https://gerrit.wikimedia.org/r/295445

ssastry closed this task as Resolved.Jul 6 2016, 4:20 PM
ssastry claimed this task.

Will be deployed Monday probably.